Subject: bug#25787: closed (Re: [bug#25787] [PATCH 02/02] gnu: Add clementine.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 05 Dec 2017 07:09:02 +0000

Your bug report

#25787: [PATCH 0/6] Add Clementine music player.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25787: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25787
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#25787] [PATCH 02/02] gnu: Add clementine.
From: Ricardo Wurmus <[email-masked]>
To: Pierre Langlois <[email-masked]>
Cc: [email-masked]
Date: Tue, 05 Dec 2017 08:07:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Pierre Langlois <[email-masked]> writes:

> OK, I messed those emails and the patches are completely 
> mangled... oups!
>
> Here are the patches as attachments. I would normally use git 
> send-email
> but it wasn't working for me today for some reason.

Thank you.  I’ve applied them with minor stylistic changes, built
clementine to confirm that it’s working and pushed it with commit
d20b7384b to master.

We will still need to unbundle this some more, but I think that this can
be done later.  Thanks for your work and patience so far!

-- 
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net

Subject: [PATCH 0/6] Add Clementine music player.
From: Pierre Langlois <[email-masked]>
To: [email-masked]
Cc: Pierre Langlois <[email-masked]>
Date: Sat, 18 Feb 2017 13:38:30 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello guix!

Here are patches to add the Clementine music player [1] and its dependencies.
First of all, thanks all of you for Guix{,SD}!  It's a lot of fun to play
with.

I have a couple of questions about this series:

* cryptopp

I believe this *should* be an optional dependency but I wasn't able to disable
it.  It seems to be used for spotify support:

~~~(CMakeLists.txt)
if(NOT HAVE_SPOTIFY_BLOB AND NOT CRYPTOPP_FOUND)
  message(FATAL_ERROR "Either crypto++ must be available or the non-GPL Spotify "
          "code must be compiled in")
elseif(CRYPTOPP_FOUND)
  set(HAVE_CRYPTOPP ON)
  set(HAVE_SPOTIFY_DOWNLOADER ON)
endif()
~~~

What do you think?  Should we patch the above file to disable spotify support
or should we package cryptopp?  I've done the latter in this series.

* sqlite/nss

I ran into complications with this package when I realized Clementine needed
the FTS3 extension enabled in sqlite [2].  I've been able to test this but it
took an entire day to rebuild all packages depending on sqlite in my profile
:-P.  By the way, the fact I can do this is great!

As a result, the nss package was rebuilt and I consistently got 6 failures,
all due to a PayPal certificate.  I had no idea how to fix this so I updated
the nss package to the latest release and the tests passed.

So I suppose this series should probably go in a branch as it will require a
lot of rebuilding.

Thanks!
Pierre

1: http://clementine-player.org
2: https://sqlite.org/fts3.html

Pierre Langlois (6):
  gnu: Add qjson.
  gnu: Add libechonest.
  gnu: Add cryptopp.
  gnu: nss: Update to 3.28.1.
  gnu: sqlite: Enable FTS3.
  gnu: Add Clementine.

 gnu/packages/crypto.scm                  | 44 +++++++++++++++++
 gnu/packages/databases.scm               |  7 ++-
 gnu/packages/gnuzilla.scm                |  5 +-
 gnu/packages/music.scm                   | 82 ++++++++++++++++++++++++++++++++
 gnu/packages/patches/nss-pkgconfig.patch |  4 +-
 gnu/packages/qt.scm                      | 28 +++++++++++
 6 files changed, 165 insertions(+), 5 deletions(-)

-- 
2.11.1